#ifndef TEST_H__
#define TEST_H__

struct TestVars {
  uint8_t row;
  uint8_t color;
};
TestVars _test = (TestVars){0,1};

void testPerFrame( RGB* grid ) {
  for( uint8_t j=0; j<PX_HEIGHT; j++ ) {
    float bright = (_test.row+j+PX_HEIGHT)%PX_HEIGHT * (1.0/PX_HEIGHT);
    RGB rgb = (RGB){ (_test.color&0b100)?bright:0, (_test.color&0b010)?bright:0, (_test.color&0b001)?bright:0 };
    
    for( uint8_t i=0; i<PX_WIDTH; i++ ) {
      grid[GRID(i,j)] = (j==_test.row) ? rgb : (RGB){0,0,0};
      //grid[GRID(i,j)] = rgb;
    }
  }
  
  _test.row++;
  if( _test.row >= PX_HEIGHT ) {
    _test.row = 0;
    _test.color++;
    if( _test.color > 7 ) _test.color = 1;
  }
  
  delay(200);
}

#endif

